SDL_WaitForGPUSwapchain(3)

NAME
SDL_WaitForGPUSwapchain - Blocks the thread until a swapchain texture is available to be acquired.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_WaitForGPUSwapchain(
    SDL_GPUDevice *device,
    SDL_Window *window);

FUNCTION PARAMETERS

device
    a GPU context.

window
    a window that has been claimed.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called from the thread that created the window.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AcquireGPUSwapchainTexture(3), SDL_WaitAndAcquireGPUSwapchainTexture(3), SDL_SetGPUAllowedFramesInFlight(3)